#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

ExcludeArch:    armv5tl

Summary:        Libs for messages
Name:           messagelib
Epoch:          2
Version: 16.12.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/

## upstream patches

BuildRequires:  kf5-macros
# Support for the GIT revision number in messagecomposer-version.h
BuildRequires:  git
BuildRequires:  gpgme-devel >= 1.7.1

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test) 
BuildRequires:  pkgconfig(Qt5UiTools) 
BuildRequires:  pkgconfig(Qt5Network) 
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)

BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5AkonadiMime)
BuildRequires:  cmake(KF5SendLater)
BuildRequires:  cmake(KF5FollowupReminder)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(Grantlee5)
BuildRequires:  cmake(KF5Ldap)
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(KF5MailTransport)
BuildRequires:  cmake(KF5IdentityManagement)
BuildRequires:  cmake(KF5WebKit)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5AkonadiSearch)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5Mbox)
BuildRequires:  cmake(KF5AkonadiNotes)
BuildRequires:  cmake(KF5KaddressbookGrantlee)
BuildRequires:  cmake(KF5GrantleeTheme)
BuildRequires:  cmake(KF5Gravatar) >= 5.3.2
BuildRequires:  cmake(KF5Libkleo)
BuildRequires:  cmake(KF5PimCommon)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5SyntaxHighlighting)

Conflicts:      messageviewer < 2:16.03.80
Conflicts:      kdepim-addons < 16.11.90

%description
Libs for messages.

%files
%_kf5_datadir/messageviewer
%_kf5_datadir/libmessageviewer
%_kf5_sysconfdir/xdg/messagelib.categories
%_kf5_sysconfdir/xdg/messagelib.renamecategories
%_kf5_sysconfdir/xdg/messageviewer_header_themes.knsrc
%_kf5_datadir/config.kcfg/customtemplates_kfg.kcfg
%_kf5_datadir/config.kcfg/templatesconfiguration_kfg.kcfg
%_kf5_datadir/kconf_update/messageviewer.upd
%_kf5_knotificationsdir/messageviewer.notifyrc
%_kf5_datadir/messagelist
%_qt5_plugindir/messageviewer/*.so

#--------------------------------------------------------------------

%define kf5messagecomposer_major 5
%define libkf5messagecomposer %mklibname kf5messagecomposer %{kf5messagecomposer_major}

%package -n %libkf5messagecomposer
Summary:      Libs for messages
Group:        System/Libraries

Requires:     %name = %epoch:%version

%description -n %libkf5messagecomposer
Libs for messages.

%files -n %libkf5messagecomposer
%_kf5_libdir/libKF5MessageComposer.so.%{kf5messagecomposer_major}*

#--------------------------------------------------------------------

%define kf5messagecore_major 5
%define libkf5messagecore %mklibname kf5messagecore %{kf5messagecore_major}

%package -n %libkf5messagecore
Summary:      Libs for messages
Group:        System/Libraries

Requires:     %name = %epoch:%version

%description -n %libkf5messagecore
Libs for messages.

%files -n %libkf5messagecore
%_kf5_libdir/libKF5MessageCore.so.%{kf5messagecore_major}*

#--------------------------------------------------------------------

%define kf5messagelist_major 5
%define libkf5messagelist %mklibname kf5messagelist %{kf5messagelist_major}

%package -n %libkf5messagelist
Summary:      Libs for messages
Group:        System/Libraries

Requires:     %name = %epoch:%version

%description -n %libkf5messagelist
Libs for messages.

%files -n %libkf5messagelist
%_kf5_libdir/libKF5MessageList.so.%{kf5messagelist_major}*

#--------------------------------------------------------------------

%define kf5messageviewer_major 5
%define libkf5messageviewer %mklibname kf5messageviewer %{kf5messageviewer_major}

%package -n %libkf5messageviewer
Summary:      Libs for messages
Group:        System/Libraries

Requires:     %name = %epoch:%version

%description -n %libkf5messageviewer
Libs for messages.

%files -n %libkf5messageviewer
%_kf5_libdir/libKF5MessageViewer.so.%{kf5messageviewer_major}*

#--------------------------------------------------------------------

%define kf5templateparser_major 5
%define libkf5templateparser %mklibname kf5templateparser %{kf5templateparser_major}

%package -n %libkf5templateparser
Summary:      Libs for messages
Group:        System/Libraries

Obsoletes:    %{_lib}templateparser4 < 2:4.14.11
Provides:     %{_lib}templateparser4 = %version-%release

Requires:     %name = %epoch:%version

%description -n %libkf5templateparser
Libs for messages.

%files -n %libkf5templateparser
%_kf5_libdir/libKF5TemplateParser.so.%{kf5templateparser_major}*

#--------------------------------------------------------------------

%define kf5mimetreeparser_major 5
%define libkf5mimetreeparser %mklibname kf5mimetreeparser %{kf5mimetreeparser_major}

%package -n %libkf5mimetreeparser
Summary:      Libs for messages
Group:        System/Libraries

Requires:     %name = %epoch:%version

%description -n %libkf5mimetreeparser
Libs for messages.

%files -n %libkf5mimetreeparser
%_kf5_libdir/libKF5MimeTreeParser.so.%{kf5mimetreeparser_major}*

#--------------------------------------------------------------------

%define kf5webengineviewer_major 5
%define libkf5webengineviewer %mklibname kf5webengineviewer %{kf5webengineviewer_major}

%package -n %libkf5webengineviewer
Summary:      Libs for messages
Group:        System/Libraries

Requires:     %name = %epoch:%version

%description -n %libkf5webengineviewer
Libs for messages.

%files -n %libkf5webengineviewer
%_kf5_libdir/libKF5WebEngineViewer.so.%{kf5webengineviewer_major}*

#--------------------------------------------------------------------

%define kf5messagelib_devel %mklibname kf5messagelib -d

%package -n %kf5messagelib_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5messagecomposer = %epoch:%version-%release
Requires:       %libkf5messagecore = %epoch:%version-%release
Requires:       %libkf5messagelist = %epoch:%version-%release
Requires:       %libkf5messageviewer = %epoch:%version-%release
Requires:       %libkf5templateparser = %epoch:%version-%release
Requires:       %libkf5mimetreeparser = %epoch:%version-%release
Requires:       %libkf5webengineviewer = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5messagelib_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5messagelib_devel
%_kf5_includedir/messageviewer
%_kf5_includedir/MessageViewer
%_kf5_includedir/messagecomposer
%_kf5_includedir/MessageComposer
%_kf5_includedir/MessageCore
%_kf5_includedir/messagecore
%_kf5_includedir/MessageList
%_kf5_includedir/messagelist
%_kf5_includedir/MimeTreeParser
%_kf5_includedir/mimetreeparser
%_kf5_includedir/templateparser
%_kf5_includedir/TemplateParser
%_kf5_includedir/WebEngineViewer
%_kf5_includedir/webengineviewer
%_kf5_includedir/*.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5MessageViewer
%_kf5_libdir/cmake/KF5TemplateParser
%_kf5_libdir/cmake/KF5MessageComposer
%_kf5_libdir/cmake/KF5MessageCore
%_kf5_libdir/cmake/KF5MessageList
%_kf5_libdir/cmake/KF5MimeTreeParser
%_kf5_libdir/cmake/KF5WebEngineViewer
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang --all %{name}5



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090162
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076904
- New version 16.12.0

* Thu Dec 15 2016 neoclust <neoclust> 2:16.11.90-2.mga6
+ Revision: 1075350
- Fix conflicts to ease upgrade

* Sat Dec 10 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073946
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067415
- New version 16.08.3

* Thu Oct 20 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1062685
- New version 16.08.2

* Thu Sep 22 2016 neoclust <neoclust> 2:16.08.1-5.mga6
+ Revision: 1055254
- Obsolete libtemplateparser

* Wed Sep 21 2016 neoclust <neoclust> 2:16.08.1-4.mga6
+ Revision: 1054875
- Exclude armv5 as qtwebengine is not available for this arch

* Sun Sep 18 2016 neoclust <neoclust> 2:16.08.1-3.mga6
+ Revision: 1053744
- Rebuild for ARM

* Thu Sep 15 2016 daviddavid <daviddavid> 2:16.08.1-2.mga6
+ Revision: 1053131
- backport some upstream fixes, including crasher fix for kde#364994 (mga#19353)

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050741
- New version 16.08.1

* Wed Aug 24 2016 neoclust <neoclust> 2:16.08.0-2.mga6
+ Revision: 1048089
- Rebuild against fixed stack
- Add conflict against older kdepim-addons

* Tue Aug 23 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1048068
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040144
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012634
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004422
- New version 16.04.0

* Mon Apr 18 2016 neoclust <neoclust> 2:16.03.80-2.mga6
+ Revision: 1003371
- Add conflict to ease upgrade

* Sat Apr 02 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997564
- imported package messagelib

